--Sample code to create a JOB using the 2 new external procedures.

CREATE JOB "EmailPDFMgtRep"
RUN AS "System"
FROM DATE '2021-12-09' TO DATE '2025-12-09'
WEEKLY ON MON
BETWEEN TIME '10:00' AND TIME '11:00:00.999'
CATEGORY 'System'
BEGIN
USE "Data";
--This line calls the PDFRunner procedure. Edit it to add your App-Name and a 
--Resource ID for a specific Report in your system.
CALL PDFRunner('<AppName>', <ResourceID>, 'C:\EDB\ORX\Database\Reports\<name of report>.pdf' );
--This line calls the EmailRunner procedure. 
CALL EmailRunner('<ToEmail@Company.com>', '<Title for the Email> ' + CAST(Current_Date as VARCHAR), 
                 '<Content of the email (this part can be multiline.>', 'C:\EDB\ORX\Database\Reports\<name of report>.pdf' );
END
